librime: rime::Segmentation Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::Segmentation Class Reference

`#include <segmentation.h>`

Inheritance diagram for rime::Segmentation:
[legend]
Collaboration diagram for rime::Segmentation:
[legend]

## Public Member Functions
| Segmentation ()
virtual | ~Segmentation ()
void | Reset (const string &input)
void | Reset (size_t num_segments)
bool | AddSegment (Segment segment)
bool | Forward ()
bool | Trim ()
bool | HasFinishedSegmentation () const
size_t | GetCurrentStartPosition () const
size_t | GetCurrentEndPosition () const
size_t | GetCurrentSegmentLength () const
size_t | GetConfirmedPosition () const
const string & | input () const

## Protected Attributes
string | input_

## Constructor & Destructor Documentation

## ◆ Segmentation()

rime::Segmentation::Segmentation | ( |  | ) |

## ◆ ~Segmentation()

virtual rime::Segmentation::~Segmentation | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ AddSegment()

bool rime::Segmentation::AddSegment | ( | Segment | segment | ) |

## ◆ Forward()

bool rime::Segmentation::Forward | ( |  | ) |

## ◆ GetConfirmedPosition()

size_t rime::Segmentation::GetConfirmedPosition | ( |  | ) | const

## ◆ GetCurrentEndPosition()

size_t rime::Segmentation::GetCurrentEndPosition | ( |  | ) | const

## ◆ GetCurrentSegmentLength()

size_t rime::Segmentation::GetCurrentSegmentLength | ( |  | ) | const

## ◆ GetCurrentStartPosition()

size_t rime::Segmentation::GetCurrentStartPosition | ( |  | ) | const

## ◆ HasFinishedSegmentation()

bool rime::Segmentation::HasFinishedSegmentation | ( |  | ) | const

## ◆ input()

const string & rime::Segmentation::input | ( |  | ) | const
| inline

## ◆ Reset() [1/2]

void rime::Segmentation::Reset | ( | const string & | input | ) |

## ◆ Reset() [2/2]

void rime::Segmentation::Reset | ( | size_t | num_segments | ) |

## ◆ Trim()

bool rime::Segmentation::Trim | ( |  | ) |

## Member Data Documentation

## ◆ input_

string rime::Segmentation::input_
| protected

The documentation for this class was generated from the following files:

- segmentation.h
- segmentation.cc